<div class="flexbox-column">
  <div>
    <mat-form-field>
      <input matInput (keyup)="applyFilter()" placeholder="Filter" [(ngModel)]="filterString"/>
    </mat-form-field>
  </div>

  <div style="height: 100%; overflow-y: auto" class="table-border">
    <table mat-table style="width: 100%" [dataSource]="this.dataSource" multiTemplateDataRows matSort matSortActive="proteinGroupID" matSortDirection="asc" (matSortChange)="sortData($event)">

      <ng-container matColumnDef="psmID">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>PSM ID</th>
        <td mat-cell *matCellDef="let row">{{row.psmId}}</td>
      </ng-container>

      <ng-container matColumnDef="peptideID">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Peptide ID</th>
        <td mat-cell *matCellDef="let row">{{row.peptideId}}</td>
      </ng-container>

      <ng-container matColumnDef="spectrumID">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Spectrum ID</th>
        <td mat-cell *matCellDef="let row">{{row.spectrumId}}</td>
      </ng-container>

      <ng-container matColumnDef="qvalue">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Qvalue</th>
        <td mat-cell *matCellDef="let row">{{row.qvalue}}</td>
      </ng-container>

      <ng-container matColumnDef="quant">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Quantification</th>
        <td mat-cell *matCellDef="let row">{{row.spectrumQuant}}</td>
      </ng-container>

      <ng-container matColumnDef="checkbox">
        <th mat-header-cell *matHeaderCellDef>
          <div style="display:flex;flex-direction: column;">
            <div style="display:flex;justify-content: center;gap: 2px;">
              <button class="btn btn-outline-secondary protein-table-visibility-button" matTooltip="Disable selected groups"
                (click)="disableSelectedGroups()"><mat-icon style="transform:scale(0.7) translate(-0.7em,-0.7em)">visibility_off</mat-icon></button>
              <button class="btn btn-outline-secondary protein-table-visibility-button" matTooltip="Enable selected groups"
                (click)="enableSelectedGroups()"><mat-icon style="transform:scale(0.7) translate(-0.7em,-0.7em)">visibility</mat-icon></button>
            </div>
            <mat-checkbox [(ngModel)]="selectedAll" (change)="onSelectAllGroups()"></mat-checkbox>
          </div>
        </th>
        <td mat-cell *matCellDef="let row">
          <mat-checkbox [(ngModel)]="row.isSelected"></mat-checkbox>
        </td>
      </ng-container>


      <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
      <!-- <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="onClick(row)" [hidden]="groupSelection === GroupSelection.MAINGROUPS && -->
      <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="setPsm(row)"
             class="group-row" [ngClass]="{
               'table-highlight-row': isHighlighted(row),
               'table-element-row': isDisplayed(row),
               'table-disabled-row': !isDisplayed(row),
               'checkbox-selected': row.isSelected,
               }">
      </tr>
    </table>
  </div>

  <div style="display:flex;flex-direction: row; justify-content: space-between;flex-wrap: nowrap;align-items: center;">
    <button class="btn btn-primary rki-blue-bg protein-table-button">Export</button>
  <mat-paginator
    [pageSizeOptions]="[5, 10, 25, 100]"
    showFirstLastButtons
  ></mat-paginator>
  </div>
</div>
